POST api/Strata/GetDataFeeds
Search Data Feeds by Filters, DataFeedSpec Parameter is optional if not passed it gets all the data feeds if any spec passed it will filter the result accordingly. Example: api/Strata/GetDataFeeds?SearchUtilityID=10
Request Information
URI Parameters
None.
Body Parameters
DataFeedSpec| Name | Description | Type | Additional information |
|---|---|---|---|
| SearchAssetTypeID | Collection of integer |
None. |
|
| SearchAssetID | integer |
None. |
|
| SearchDataFeedID | integer |
None. |
|
| SearchUtilityID | integer |
None. |
|
| SearchFrequency | integer |
None. |
|
| SearchImporterID | integer |
None. |
|
| SearchDataFeedTypeID | Collection of integer |
None. |
|
| SearchDataFormID | integer |
None. |
|
| SearchFeedsWithCommentsOnly | boolean |
None. |
|
| MainIncomer | boolean |
None. |
|
| IsEstimated | boolean |
None. |
|
| SearchOrderBy | integer |
None. |
|
| ValidationStatus | integer |
None. |
|
| SearchName | string |
None. |
|
| SearchShowHidden | boolean |
None. |
|
| ShowRelevantDataFeedsOnly | boolean |
None. |
|
| SearchDateStart | date |
None. |
|
| SearchDateEnd | date |
None. |
|
| SearchTimeFrame | integer |
None. |
|
| EndDateOffSetHours | integer |
None. |
|
| SnapToNearestHour | boolean |
None. |
|
| _firstLoad | boolean |
None. |
|
| SearchString | string |
None. |
|
| SearchRegionID | integer |
None. |
|
| SearchCompanyID | integer |
None. |
|
| SearchSiteID | integer |
None. |
|
| SearchDeptID | Collection of integer |
None. |
|
| SearchSiteFinancialMonth | integer |
None. |
|
| SearchSiteStartDayOfWeek | integer |
None. |
|
| SearchSiteShiftStart | integer |
None. |
|
| SearchSiteTimezone | string |
None. |
|
| SearchSiteTimezoneToday | string |
None. |
|
| Layout | integer |
None. |
|
| Override | boolean |
None. |
|
| GetData | boolean |
None. |
|
| ixPage | integer |
None. |
|
| ixPageSize | integer |
None. |
|
| nextRecordOnly | boolean |
None. |
|
| _isAlreadyPaged | boolean |
None. |
|
| _totalCount | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"SearchAssetTypeID": [
1,
2
],
"SearchAssetID": 1,
"SearchDataFeedID": 2,
"SearchUtilityID": 3,
"SearchFrequency": 4,
"SearchImporterID": 5,
"SearchDataFeedTypeID": [
1,
2
],
"SearchDataFormID": 6,
"SearchFeedsWithCommentsOnly": true,
"MainIncomer": true,
"IsEstimated": true,
"SearchOrderBy": 10,
"ValidationStatus": 11,
"SearchName": "sample string 12",
"SearchShowHidden": true,
"ShowRelevantDataFeedsOnly": true,
"SearchDateStart": "2026-06-10T16:41:46.0660446+00:00",
"SearchDateEnd": "2026-06-10T16:41:46.0660446+00:00",
"SearchTimeFrame": 17,
"EndDateOffSetHours": 18,
"SnapToNearestHour": true,
"_firstLoad": true,
"SearchString": "sample string 21",
"SearchRegionID": 22,
"SearchCompanyID": 23,
"SearchSiteID": 24,
"SearchDeptID": [
1,
2
],
"SearchSiteFinancialMonth": 25,
"SearchSiteStartDayOfWeek": 26,
"SearchSiteShiftStart": 27,
"SearchSiteTimezone": "sample string 28",
"SearchSiteTimezoneToday": "sample string 29",
"Layout": 30,
"Override": true,
"GetData": true,
"ixPage": 33,
"ixPageSize": 34,
"nextRecordOnly": true,
"_isAlreadyPaged": true,
"_totalCount": 37
}
application/xml, text/xml
Sample:
<DataFeedSpec xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Strata.Data">
<_isAlreadyPaged>true</_isAlreadyPaged>
<_totalCount>37</_totalCount>
<ixPage>33</ixPage>
<ixPageSize>34</ixPageSize>
<nextRecordOnly>true</nextRecordOnly>
<GetData>true</GetData>
<Layout>30</Layout>
<Override>true</Override>
<SearchCompanyID>23</SearchCompanyID>
<SearchDeptID xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</SearchDeptID>
<SearchRegionID>22</SearchRegionID>
<SearchSiteFinancialMonth>25</SearchSiteFinancialMonth>
<SearchSiteID>24</SearchSiteID>
<SearchSiteShiftStart>27</SearchSiteShiftStart>
<SearchSiteStartDayOfWeek>26</SearchSiteStartDayOfWeek>
<SearchSiteTimezone>sample string 28</SearchSiteTimezone>
<SearchSiteTimezoneToday>sample string 29</SearchSiteTimezoneToday>
<SearchString>sample string 21</SearchString>
<_firstLoad>true</_firstLoad>
<EndDateOffSetHours>18</EndDateOffSetHours>
<SearchDateEnd>2026-06-10T16:41:46.0660446+00:00</SearchDateEnd>
<SearchDateStart>2026-06-10T16:41:46.0660446+00:00</SearchDateStart>
<SearchTimeFrame>17</SearchTimeFrame>
<SnapToNearestHour>true</SnapToNearestHour>
<IsEstimated>true</IsEstimated>
<MainIncomer>true</MainIncomer>
<SearchAssetID>1</SearchAssetID>
<SearchAssetTypeID xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</SearchAssetTypeID>
<SearchDataFeedID>2</SearchDataFeedID>
<SearchDataFeedTypeID xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</SearchDataFeedTypeID>
<SearchDataFormID>6</SearchDataFormID>
<SearchFeedsWithCommentsOnly>true</SearchFeedsWithCommentsOnly>
<SearchFrequency>4</SearchFrequency>
<SearchImporterID>5</SearchImporterID>
<SearchName>sample string 12</SearchName>
<SearchOrderBy>10</SearchOrderBy>
<SearchShowHidden>true</SearchShowHidden>
<SearchUtilityID>3</SearchUtilityID>
<ShowRelevantDataFeedsOnly>true</ShowRelevantDataFeedsOnly>
<ValidationStatus>11</ValidationStatus>
</DataFeedSpec>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Json Data
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.